Bug 221929 - [patch] www/calendarserver: update to version 9.1
Summary: [patch] www/calendarserver: update to version 9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on: 224151
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-30 03:42 UTC by Cullum Smith
Modified: 2017-12-11 19:50 UTC (History)
2 users (show)

See Also:
Axel.Rau: maintainer-feedback+


Attachments
SVN diff - update CalendarServer 9.0 to 9.1 (www/calendarserver, devel/py-twext, databases/py-sqlparse02) (10.71 KB, patch)
2017-08-30 03:42 UTC, Cullum Smith
no flags Details | Diff
svn diff against 455863 (1.95 KB, patch)
2017-12-09 16:41 UTC, Axel.Rau
Axel.Rau: maintainer-approval+
Details | Diff
testport log for calendarserver 9.1 (60.73 KB, text/plain)
2017-12-09 16:42 UTC, Axel.Rau
Axel.Rau: maintainer-approval+
Details
svn diff against 455863 (6.09 KB, patch)
2017-12-11 18:26 UTC, Axel.Rau
Axel.Rau: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cullum Smith 2017-08-30 03:42:57 UTC
Created attachment 185907 [details]
SVN diff - update CalendarServer 9.0 to 9.1 (www/calendarserver, devel/py-twext, databases/py-sqlparse02)

The CalendarServer 9.0 port appears to have two small bugs:

1. Setting LogLevel in caldavd.plist has no effect - DEBUG is always used, creating huge log files.

2. Some of the bundled helper scripts (most notably calendarserver_dkimtool) exit with errors regarding Twisted logging or Python dependencies.

I've attached a patch to the www/calendarserver port to update it to version 9.1, which was released on May 25, 2017. Just updating to this latest version fixed issue (1), and I added some additional patches to fix issue (2).

However, it appears that this latest version of Apple's CalendarServer has a hard dependency on py-sqlparse 0.2.0 - the daemon fails to start with anything more recent than that. I've attached an additional patch for a new port, databases/py-sqlparse02, which satisfies this requirement.

Finally, I've attached a third patch to devel/py-twext to use Apple's latest version. It appears to be required for CalendarServer 9.1.

I'm not sure whether the attached patches are the right approach, but I figured I would share the steps to get version 9.1 working on FreeBSD 11.1.

Thanks,

Cullum Smith
Comment 1 Axel.Rau 2017-09-12 18:20:49 UTC
Your patch looks perfect, however py27-twext-0.20170227 needs PostgreSQL 9.5+.
Unfortunately I have only 9.4 on my db-servers so I can't run my test suite easily.
Do you recall why the twext update is needed for calendarserver-9.1 ?
Comment 2 Axel.Rau 2017-12-09 16:41:30 UTC
Created attachment 188658 [details]
svn diff against 455863

Updated the patch from Cullum Smith.
New port devel/py-sqlparse02 and update to devel/py-twext are in 224204 and 224151

This patch replaces the original one from Cullum Smith.
Comment 3 Axel.Rau 2017-12-09 16:42:33 UTC
Created attachment 188659 [details]
testport log for calendarserver 9.1
Comment 4 Axel.Rau 2017-12-10 16:29:37 UTC
Comment on attachment 188658 [details]
svn diff against 455863

svn additions:
files/patch-calendarserver_tools_dkimtool.py

svn removals:
files/patch-txdav_base_datastore_dbapiclient.py
Comment 5 Steve Wills freebsd_committer 2017-12-11 16:03:59 UTC
(In reply to Axel.Rau from comment #4)
Attachment 188658 [details] seems to be the wrong patch file, it only patches devel/py-twext.
Comment 6 Axel.Rau 2017-12-11 18:26:02 UTC
Created attachment 188726 [details]
svn diff against 455863

Replaces wrong patch file in 188658.
Comment 7 Axel.Rau 2017-12-11 18:27:50 UTC
(In reply to Steve Wills from comment #5)
Yes. Sorry.
Comment 8 commit-hook freebsd_committer 2017-12-11 19:50:05 UTC
A commit references this bug:

Author: swills
Date: Mon Dec 11 19:49:32 UTC 2017
New revision: 456063
URL: https://svnweb.freebsd.org/changeset/ports/456063

Log:
  www/calendarserver: update to version 9.1

  PR:		221929
  Submitted by:	Axel.Rau@Chaos1.DE (maintainer)
  Reported by:	Cullum Smith <cullum@c0ffee.net>

Changes:
  head/www/calendarserver/Makefile
  head/www/calendarserver/distinfo
  head/www/calendarserver/files/patch-calendarserver_tools_dkimtool.py
  head/www/calendarserver/files/patch-setup.py
  head/www/calendarserver/files/patch-txdav_base_datastore_dbapiclient.py
Comment 9 Steve Wills freebsd_committer 2017-12-11 19:50:55 UTC
Committed, thanks!